RepColors = { 
	{
		r = 0.5,
		g = 0.5,
		b = 0.5,
	},
	{
		r = 1.0,
		g = 0.0,
		b = 0.0,
	},
	{
		r = 0.83,
		g = 0.17,
		b = 0.0,
	},
	{
		r = 0.67,
		g = 0.33,
		b = 0.0,
	},
	{
		r = 0.5,
		g = 0.5,
		b = 0.0,
	},
	{
		r = 0.33,
		g = 0.67,
		b = 0.0,
	},
	{
		r = 0.17,
		g = 0.83,
		b = 0.0,
	},
	{
		r = 0.0,
		g = 1.0,
		b = 0.0,
	},
	{
		r = 0.24,
		g = 0.35,
		b = 0.76,
	},
}

ClassColors = { }
ClassColors["Death Knight"] = {	r = 0.77, g = 0.12,	b = 0.23 }
ClassColors["Demon Hunter"] = {	r = 0.64, g = 0.19, b = 0.79 }
ClassColors["Druid"] 		= { r = 1.00, g = 0.49, b = 0.04 }
ClassColors["Hunter"] 		= { r = 0.67, g = 0.83, b = 0.45 }
ClassColors["Mage"] 		= { r = 0.41, g = 0.80, b = 0.94 }
ClassColors["Monk"] 		= { r = 0.33, g = 0.54, b = 0.52 }
ClassColors["Paladin"] 		= { r = 0.96, g = 0.55, b = 0.73 }
ClassColors["Priest"] 		= { r = 1.00, g = 1.00, b = 1.00 }
ClassColors["Rogue"] 		= { r = 1.00, g = 0.96, b = 0.41 }
ClassColors["Shaman"] 		= { r = 0.00, g = 0.44, b = 0.87 }
ClassColors["Warlock"] 		= { r = 0.58, g = 0.51, b = 0.79 }
ClassColors["Warrior"] 		= { r = 0.78, g = 0.61, b = 0.43 }

Expansions = {  
	{ ExpansionNumber = 1, FactionID = 1118, FullName = "Classic" },
	{ ExpansionNumber = 2, FactionID = 980, FullName = "The Burning Crusade" },
	{ ExpansionNumber = 3, FactionID = 1097, FullName = "Wrath of the Lich King" },
	{ ExpansionNumber = 4, FactionID = 1162, FullName = "Cataclysm" },
	{ ExpansionNumber = 5, FactionID = 1245, FullName = "Mists of Pandaria" },
	{ ExpansionNumber = 6, FactionID = 1444, FullName = "Warlords of Draenor" },
	{ ExpansionNumber = 7, FactionID = 1824, FullName = "Legion" },
	{ ExpansionNumber = 8, FactionID = 2104, FullName = "Battle for Azeroth" },
	{ ExpansionNumber = 9, FactionID = 2414, FullName = "Shadowlands" },
}

	

RepGrinderFactionList = {	
	{
		factionID = 2462,
		name = "Stitchmasters",
		expansion = 9,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2413,
		name = "Court of Harvesters",
		expansion = 9,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2464,
		name = "Court of Night",
		expansion = 9,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2407,
		name = "The Ascended",
		expansion = 9,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2439,
		name = "The Avowed",
		expansion = 9,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2432,
		name = "Ve'nari",
		expansion = 9,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2410,
		name = "The Undying Army",
		expansion = 9,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2465,
		name = "The Wild Hunt",
		expansion = 9,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2422,
		name = "Night Fae",
		expansion = 9,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2463,
		name = "Marasmius",
		expansion = 9,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2445,
		name = "The Ember Court",
		expansion = 9,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2159,
		name = "7th Legion",
		expansion = 8,
		subgroup  = "",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 2164,
		name = "Champions of Azeroth",
		expansion = 8,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2161,
		name = "Order of Embers",
		expansion = 8,
		subgroup  = "",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 2160,
		name = "Proudmoore Admiralty",
		expansion = 8,
		subgroup  = "",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 2415,
		name = "Rajani",
		expansion = 8,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2391,
		name = "Rustbolt Resistance",
		expansion = 8,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2162,
		name = "Storm's Wake",
		expansion = 8,
		subgroup  = "",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 2156,
		name = "Talanji's Expedition",
		expansion = 8,
		subgroup  = "",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 2157,
		name = "The Honorbound",
		expansion = 8,
		subgroup  = "",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 2373,
		name = "The Unshackled",
		expansion = 8,
		subgroup  = "",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 2163,
		name = "Tortollan Seekers",
		expansion = 8,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2417,
		name = "Uldum Accord",
		expansion = 8,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2158,
		name = "Voldunai",
		expansion = 8,
		subgroup  = "",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 2400,
		name = "Waveblade Ankoan",
		expansion = 8,
		subgroup  = "",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 2103,
		name = "Zandalari Empire",
		expansion = 8,
		subgroup  = "",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 2099,
		name = "Akule Riverhorn",
		expansion = 7,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2170,
		name = "Argussian Reach",
		expansion = 7,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2045,
		name = "Armies of Legionfall",
		expansion = 7,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2165,
		name = "Army of the Light",
		expansion = 7,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2135,
		name = "Chromie",
		expansion = 7,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1975,
		name = "Conjurer Margoss",
		expansion = 7,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{	
		factionID = 2100,
		name = "Corbyn",
		expansion = 7,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1900,
		name = "Court of Farondis",
		expansion = 7,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1883,
		name = "Dreamweavers",
		expansion = 7,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1828,
		name = "Highmountain Tribe",
		expansion = 7,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1947,
		name = "Illidari",
		expansion = 7,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2097,
		name = "Ilyssia of the Waters",
		expansion = 7,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2102,
		name = "Impus",
		expansion = 7,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2098,
		name = "Keeper Raynae",
		expansion = 7,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2101,
		name = "Sha'leth",
		expansion = 7,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 2018,
		name = "Talon's Vengeance",
		expansion = 7,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1859,
		name = "The Nightfallen",
		expansion = 7,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1894,
		name = "The Wardens",
		expansion = 7,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1948,
		name = "Valarjar",
		expansion = 7,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1515,
		name = "Arakkoa Outcasts",
		expansion = 6,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1731,
		name = "Council of Exarchs",
		expansion = 6,
		subgroup  = "",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 1847,
		name = "Hand of the Prophet",
		expansion = 6,
		subgroup  = "",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 1445,
		name = "Frostwolf Orcs",
		expansion = 6,
		subgroup  = "",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 1708,
		name = "Laughing Skull Orcs",
		expansion = 6,
		subgroup  = "",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 1849,
		name = "Order of the Awakened",
		expansion = 6,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1710,
		name = "Sha'tari Defense",
		expansion = 6,
		subgroup  = "",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 1711,
		name = "Steamwheedle Preserv",
		expansion = 6,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1850,
		name = "The Saberstalkers",
		expansion = 6,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1848,
		name = "Vol'jin's Headhunters",
		expansion = 6,
		subgroup  = "",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 1740,
		name = "Aeda Brightdawn",
		expansion = 6,
		subgroup  = "Baracks Bodyguards",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 1738,
		name = "Defender Illona",
		expansion = 6,
		subgroup  = "Baracks Bodyguards",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 1733,
		name = "Delvar Ironfist",
		expansion = 6,
		subgroup  = "Baracks Bodyguards",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 1741,
		name = "Leorajh",
		expansion = 6,
		subgroup  = "Baracks Bodyguards",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1737,
		name = "Talonpriest Ishaal",
		expansion = 6,
		subgroup  = "Baracks Bodyguards",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1736,
		name = "Tormmok",
		expansion = 6,
		subgroup  = "Baracks Bodyguards",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1739,
		name = "Vivianne",
		expansion = 6,
		subgroup  = "Baracks Bodyguards",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 1375,
		name = "Dominance Offensive",
		expansion = 5,
		subgroup  = "",
		isAlliance = false,
		isHorde = true,
	},
	{	
		factionID = 1492,
		name = "Emperor Shaohao",
		expansion = 5,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1269,
		name = "Golden Lotus",
		expansion = 5,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1387,
		name = "Kirin Tor Offensive",
		expansion = 5,
		subgroup  = "",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 1228,
		name = "Forest Hozen",
		expansion = 5,
		subgroup  = "",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 1376,
		name = "Operation: Shieldwall",
		expansion = 5,
		subgroup  = "",
		isAlliance = true,
		isHorde = false,
	},
	{	
		factionID = 1271,
		name = "Order of the Cloud Serpent",
		expansion = 5,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{	
		factionID = 1242,
		name = "Pearlfin Jinyu",
		expansion = 5,
		subgroup  = "",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 1270,
		expansion = 5,
		subgroup  = "",
		name = "Shado-Pan",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1435,
		name = "Shado-Pan Assault",
		expansion = 5,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1388,
		name = "Sunreaver Onslaught",
		expansion = 5,
		subgroup  = "",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 1341,
		name = "The August Celestials",
		expansion = 5,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1359,
		name = "The Black Prince",
		expansion = 5,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1337,
		name = "The Klaxxi",
		expansion = 5,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1345,
		name = "The Lorewalkers",
		expansion = 5,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1358,
		name = "Nat Pagle",
		expansion = 5,
		subgroup  = "The Anglers",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1277,
		name = "Chee Chee",
		expansion = 5,
		subgroup  = "The Tillers",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1275,
		name = "Ella",
		expansion = 5,
		subgroup  = "The Tillers",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1283,
		name = "Farmer Fung",
		expansion = 5,
		subgroup  = "The Tillers",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1282,
		name = "Fish Fellreed",
		expansion = 5,
		subgroup  = "The Tillers",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1281,
		name = "Gina Mudclaw",
		expansion = 5,
		subgroup  = "The Tillers",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1279,
		name = "Haohan Mudclaw",
		expansion = 5,
		subgroup  = "The Tillers",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1273,
		name = "Jogu the Drunk",
		expansion = 5,
		subgroup  = "The Tillers",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1276,
		name = "Old Hillpaw",
		expansion = 5,
		subgroup  = "The Tillers",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1278,
		name = "Sho",
		expansion = 5,
		subgroup  = "The Tillers",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1280,
		name = "Tina Mudclaw",
		expansion = 5,
		subgroup  = "The Tillers",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1204,
		name = "Avengers of Hyjal",
		expansion = 4,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1177,
		name = "Baradin's Wardens",
		expansion = 4,
		subgroup  = "",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 1172,
		name = "Dragonmaw Clan",
		expansion = 4,
		subgroup  = "",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 1158,
		name = "Guardians of Hyjal",
		expansion = 4,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1178,
		name = "Hellscream's Reach",
		expansion = 4,
		subgroup  = "",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 1173,
		name = "Ramkahen",
		expansion = 4,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1135,
		name = "The Earthen Ring",
		expansion = 4,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1171,
		name = "Therazane",
		expansion = 4,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1174,
		name = "Wildhammer Clan",
		expansion = 4,
		subgroup  = "",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 1106,
		name = "Argent Crusade",
		expansion = 3,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1090,
		name = "Kirin Tor",
		expansion = 3,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1098,
		name = "Knights of the Ebon Blade",
		expansion = 3,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1156,
		name = "The Ashen Verdict",
		expansion = 3,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1073,
		name = "The Kalu'ak",
		expansion = 3,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1119,
		name = "The Sons of Hodir",
		expansion = 3,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1091,
		name = "The Wyrmrest Accord",
		expansion = 3,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1068,
		name = "Explorer's League",
		expansion = 3,
		subgroup  = "Alliance Vanguard",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 1126,
		name = "The Frostborn",
		expansion = 3,
		subgroup  = "Alliance Vanguard",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 1094,
		name = "The Silver Covenant",
		expansion = 3,
		subgroup  = "Alliance Vanguard",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 1050,
		name = "Valiance Expedition",
		expansion = 3,
		subgroup  = "Alliance Vanguard",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 1067,
		name = "The Hand of Vengeance",
		expansion = 3,
		subgroup  = "Horde Expedition",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 1124,
		name = "The Sunreavers",
		expansion = 3,
		subgroup  = "Horde Expedition",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 1064,
		name = "The Taunka",
		expansion = 3,
		subgroup  = "Horde Expedition",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 1085,
		name = "Warsong Offensive",
		expansion = 3,
		subgroup  = "Horde Expedition",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 1104,
		name = "Frenzyheart Tribe",
		expansion = 3,
		subgroup  = "Scholozar Basin",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1105,
		name = "The Oracles",
		expansion = 3,
		subgroup  = "Scholozar Basin",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1012,
		name = "Ashtongue Deathsworn",
		expansion = 2,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,		
	},
	{
		factionID = 942,
		name = "Cenarion Expedition",
		expansion = 2,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 946,
		name = "Honor Hold",
		expansion = 2,
		subgroup  = "",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 989,
		name = "Keepers of Time",
		expansion = 2,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 978,
		name = "Kurenai",
		expansion = 2,
		subgroup  = "",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 1015,
		name = "Netherwing",
		expansion = 2,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1038,
		name = "Ogri'la",
		expansion = 2,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 970,
		name = "Sporeggar",
		expansion = 2,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 933,
		name = "The Consortium",
		expansion = 2,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 941,
		name = "The Mag'har",
		expansion = 2,
		subgroup  = "",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 990,
		name = "The Scale of the Sands",
		expansion = 2,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 967,
		name = "The Violet Eye",
		expansion = 2,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 947,
		name = "Thrallmar",
		expansion = 2,
		subgroup  = "",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 922,
		name = "Tranquillien",
		expansion = 2,
		subgroup  = "",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 1011,
		name = "Lower City",
		expansion = 2,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1031,
		name = "Sha'tari Skyguard",
		expansion = 2,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 1077,
		name = "Shattered Sun Offensive",
		expansion = 2,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 932,
		name = "The Aldor",
		expansion = 2,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 934,
		name = "The Scryers",
		expansion = 2,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 935,
		name = "The Sha'tar",
		expansion = 2,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 529,
		name = "Argent Dawn",
		expansion = 1,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 87,
		name = "Bloodsail Buccaneers",
		expansion = 1,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 910,
		name = "Brood of Nozdormu",
		expansion = 1,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 609,
		name = "Cenarion Circle",
		expansion = 1,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 909,
		name = "Darkmoon Faire",
		expansion = 1,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 92,
		name = "Gelkis Clan Centaur",
		expansion = 1,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 749,
		name = "Hydraxian Waterlords",
		expansion = 1,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 93,
		name = "Magram Clan Centaur",
		expansion = 1,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 349,
		name = "Ravenholdt",
		expansion = 1,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 59,
		expansion = 1,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
		name = "Thorium Brotherhood"
	},
	{
		factionID = 576,
		name = "Timbermaw Hold",
		expansion = 1,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 589,
		name = "Wintersaber Trainers",
		expansion = 1,
		subgroup  = "",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 69,
		name = "Darnassus",
		expansion = 1,
		subgroup  = "Alliance",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 930,
		name = "Exodar",
		expansion = 1,
		subgroup  = "Alliance",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 1134,
		name = "Gilneas",
		expansion = 1,
		subgroup  = "Alliance",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 54,
		name = "Gnomeregan",
		expansion = 1,
		subgroup  = "Alliance",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 47,
		name = "Ironforge",
		expansion = 1,
		subgroup  = "Alliance",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 72,
		name = "Stormwind",
		expansion = 1,
		subgroup  = "Alliance",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 1353,
		name = "Tushui Pandaren",
		expansion = 1,
		subgroup  = "Alliance",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 1133,
		name = "Bilgewater Cartel",
		expansion = 1,
		subgroup  = "Horde",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID =	530,
		name = "Darkspear Trolls",
		expansion = 1,
		subgroup  = "Horde",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 76,
		name = "Orgrimmar",
		expansion = 1,
		subgroup  = "Horde",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 911,
		name = "Silvermoon City",
		expansion = 1,
		subgroup  = "Horde",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 81,
		name = "Thunder Bluff",
		expansion = 1,
		subgroup  = "Horde",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 68,
		name = "Undercity",
		expansion = 1,
		subgroup  = "Horde",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 1352,
		name = "Huojin Pandaren",
		expansion = 1,
		subgroup  = "Horde",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 2011,
		name = "Bizmo's Brawlpub",
		expansion = 1,
		subgroup  = "Alliance Forces",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 1419,
		name = "Bizmo's Brawlpub Sn 1",
		expansion = 1,
		subgroup  = "Alliance Forces",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 1691,
		name = "Bizmo's Brawlpub Sn 2",
		expansion = 1,
		subgroup  = "Alliance Forces",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 890,
		name = "Silverwing Sentinels",
		expansion = 1,
		subgroup  = "Alliance Forces",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 730,
		name = "Stormpike Guard",
		expansion = 1,
		subgroup  = "Alliance Forces",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 509,
		name = "The League of Arathor",
		expansion = 1,
		subgroup  = "Alliance Forces",
		isAlliance = true,
		isHorde = false,
	},
	{
		factionID = 2010,
		name = "Brawl'gar Arena",
		expansion = 1,
		subgroup  = "Horde Forces",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 1374,
		name = "Brawl'gar Arena (Season 1)",
		expansion = 1,
		subgroup  = "Horde Forces",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 1690,
		name = "Brawl'gar Arena (Season 2)",
		expansion = 1,
		subgroup  = "Horde Forces",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 729,
		name = "Frostwolf Clan",
		expansion = 1,
		subgroup  = "Horde Forces",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 510,
		name = "The Defilers",
		expansion = 1,
		subgroup  = "Horde Forces",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 889,
		name = "Warsong Outriders",
		expansion = 1,
		subgroup  = "Horde Forces",
		isAlliance = false,
		isHorde = true,
	},
	{
		factionID = 21,
		name = "Booty Bay",
		expansion = 1,
		subgroup  = "Steamwheedle Cartel",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 577,
		name = "Everlook",
		expansion = 1,
		subgroup  = "Steamwheedle Cartel",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 369,
		name = "Gadgetzan",
		expansion = 1,
		subgroup  = "Steamwheedle Cartel",
		isAlliance = true,
		isHorde = true,
	},
	{
		factionID = 470,
		name = "Ratchet",
		expansion = 1,
		subgroup  = "Steamwheedle Cartel",
		isAlliance = true,
		isHorde = true,
	}
}

ValidRepIDs = { 1416, 1037, 1106, 529, 2170, 2045, 2165, 1012, 1204, 1177, 1133, 1419, 87, 21, 1374, 910, 2164, 609, 942, 909, 530, 69, 1375, 1172, 577, 930, 1068, 1228, 1104, 729, 369, 92, 1134, 54, 1269, 1158, 1178, 946, 1052, 1352, 749, 47, 989, 1090, 1387, 1098, 978, 1011, 93, 1015, 1038, 1376, 2161, 1271, 76, 1242, 2160, 1173, 470, 349, 1270, 1435, 1216, 1031, 1077, 809, 911, 890, 970, 730, 72, 2161, 1388, 70, 2156, 932, 1302, 1156, 1341, 1359, 933, 510, 1135, 1126, 1067, 2157, 1073, 1337, 509, 1345, 941, 1105, 990, 934, 935, 1094, 1119, 1124, 1064, 1272, 967, 1091, 1171, 59, 947, 81, 576, 2163, 922, 1353, 68, 1050, 2158, 1085, 889, 1174, 589, 270, 2103, 1277, 1275, 1283, 1282, 1281, 1279, 1273, 1358, 1276, 1278, 1280 }